
import { reactive } from 'vue'



export interface ITextLink {
  text: string;
  link: string;
}


function useLinkList() {
  const textLinkList = reactive<Array<ITextLink>>([
    { text: '常见问题', link: '' },
    { text: '与 VAVA BUY 合作', link: '' },
  ])

  const textLinkList2 = reactive<Array<ITextLink>>([
    { text: '如何运作', link: '' },
    { text: '为什么选择 VAVA BUY', link: '' },
    { text: '优势', link: '' },
    { text: '在 VAVA BUY 购物', link: '' },
  ])


  const handleTextLinkClick = function(linkInfo: ITextLink) {
    if (!linkInfo || !linkInfo.link) return
  }

  return {
    textLinkList,
    textLinkList2,
    handleTextLinkClick
  }
}


export default useLinkList